<?php

// Buat koneksi
$koneksi = mysqli_connect("localhost", "root", "", "nodemcu3");

// Cek koneksi
if (!$koneksi) {
    die("Koneksi gagal: " . mysqli_connect_error());
}

// Jalankan kueri SQL untuk mendapatkan data terbaru dari tb_sensor
$sql = mysqli_query($koneksi, "SELECT * FROM tb_sensor ORDER BY id DESC LIMIT 1");

// Cek apakah kueri berhasil
if (!$sql) {
    die("Kueri gagal: " . mysqli_error($koneksi));
}

// Ambil data
$data = mysqli_fetch_array($sql);

// Periksa apakah data tidak kosong
if ($data && isset($data['detakjantung'])) {
    $detakjantung = $data['detakjantung'];
    $id_sensor = $data['id']; // Ambil ID dari data terbaru
    $status = '';

    // Uji hasil pembacaan detak jantung dan tentukan status
    if ($detakjantung == 0) {
        $status = "Sensor belum membaca"; // Status ketika sensor belum mendeteksi detak jantung
    } else if ($detakjantung < 130) {
        $status = "Normal"; // Status ketika detak jantung dalam rentang normal (< 130 mmHg)
    } else if ($detakjantung >= 130 && $detakjantung <= 139) {
        $status = "Elevasi (Pra-hipertensi)"; // Status ketika detak jantung dalam rentang elevasi (130-139 mmHg)
    } else if ($detakjantung >= 140 && $detakjantung <= 159) {
        $status = "Stadium 1 (Hipertensi Ringan)"; // Status ketika detak jantung dalam rentang stadium 1 hipertensi ringan (140-159 mmHg)
    } else if ($detakjantung >= 160 && $detakjantung <= 179) {
        $status = "Stadium 2 (Hipertensi Sedang)"; // Status ketika detak jantung dalam rentang stadium 2 hipertensi sedang (160-179 mmHg)
    } else if ($detakjantung >= 180 && $detakjantung <= 209) {
        $status = "Stadium 3 (Hipertensi Berat)"; // Status ketika detak jantung dalam rentang stadium 3 hipertensi berat (180-209 mmHg)
    } else if ($detakjantung >= 210) {
        $status = "Stadium 4 (Hipertensi Maligna)"; // Status ketika detak jantung dalam rentang stadium 4 hipertensi maligna (210 mmHg atau lebih)
    } else {
        $status = "Tidak Normal"; // Status ketika detak jantung tidak termasuk dalam rentang yang didefinisikan
    }

    // Masukkan status ke dalam tabel tb_sensor
    $update_sql = "UPDATE tb_sensor SET status='$status' WHERE id='$id_sensor'";
    if (mysqli_query($koneksi, $update_sql)) {
        echo "Status: " . $status; // Tampilkan status
    } else {
        echo "Error: " . $update_sql . "<br>" . mysqli_error($koneksi);
    }
} else {
    echo "Status: Sensor belum membaca"; // Status ketika sensor belum mendeteksi detak jantung
}


?>
