<?php

    // Buat koneksi ke database
    $koneksi = mysqli_connect("localhost", "root", "", "nodemcu3");

    // Cek apakah koneksi berhasil
    if (!$koneksi) {
        die("Koneksi gagal: " . mysqli_connect_error());
    }

    // Lakukan query ke database untuk mengambil semua data dari tabel tb_sensor, diurutkan berdasarkan id secara descending
    $sql = mysqli_query($koneksi, "SELECT * FROM tb_sensor ORDER BY id DESC");

    // Periksa apakah query berhasil
    if ($sql) {
        // Ambil satu baris hasil query sebagai array
        $data = mysqli_fetch_array($sql);

        // Pastikan data tidak null dan kolom 'oksigen' ada
        if ($data && isset($data['oksigen'])) {
            $oksigen = $data['oksigen'];
        } else {
            // Jika data tidak ada atau kolom 'oksigen' tidak ada, set nilai default ke 0
            $oksigen = 0;
        }
    } else {
        // Jika query gagal, set nilai default ke 0
        $oksigen = 0;
    }

    // Tampilkan nilai oksigen
    echo $oksigen;

    
?>